> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wokelo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Company News Monitoring

> Fetches the latest news articles for a given company, enriched with AI-generated summaries, categories and publisher details.

## Overview

The Monitoring API fetches the latest news articles for a given company, enriched with AI-generated summaries, categories and publisher details. Optionally, you can refine the output by specifying date range, publisher list, blacklisted publishers, article limit, and news categories. Results are returned in the API response.

## Endpoint Details

* **Method:** GET
* **Endpoint:** `api/enterprise/company/news/`

## Authentication requirements

* Include a valid JWT token in your request header
* If you don't have a token yet, you can get one from the `/auth/token/` endpoint first.

## Request

### Request Parameters

#### Header Parameters

<ParamField header="Authorization" type="string" required>
  JWT token obtained from the Authentication request
</ParamField>

## URL Parameters

<ParamField query="company" type="string" required>
  Company permalink or a valid company URL for which news articles need to be fetched (e.g., `tesla` or `https://www.tesla.com/`)
</ParamField>

<ParamField query="blacklisted" type="string">
  Comma-separated list of publisher domains to exclude from results.
</ParamField>

<ParamField query="publishers" type="string">
  Comma-separated list of publisher domains whose articles will be included.
</ParamField>

<ParamField query="limit" type="integer">
  Maximum number of news articles to return

  Default = 100

  Max value= 1000
</ParamField>

<ParamField query="offset" type="integer">
  Number of news to skip before starting to return results
</ParamField>

<ParamField query="start_date" type="string">
  Start date for the timeframe to consider when fetching news (e.g., `2024-01-01`)
</ParamField>

<ParamField query="end_date" type="string">
  End date for the timeframe to consider when fetching news (e.g., `2024-12-31`)
</ParamField>

<ParamField query="category" type="string">
  Comma-separated list of news categories to filter by. [View](https://wkemails.blob.core.windows.net/clients/%28%27808dda00-141d-4952-b44c-c50bd41c2ce3%27%2C%29/news_category_names.csv) complete list of all the supported news categories.
</ParamField>

## Response

#### Successful Response Fields

Returns a JSON object with the following structure:

<ResponseField name="status" type="string">
  `"success"` if the request was processed successfully.
</ResponseField>

<ResponseField name="data" type="array">
  List of news
</ResponseField>

<ResponseField name="count" type="integer">
  Total number of results returned.
</ResponseField>

<ResponseExample>
  ```json 200 theme={"system"}
  {
      "status": "success",
      "data": [
          {
              "ai_summary": "Nordea Investment Management AB reduced its stake in Tesla, Inc. by 8.4% in the fourth quarter, according to its SEC filing. Several institutional investors increased their holdings, and Tesla reported quarterly earnings with a net margin of 4%, revenue of $24.90 billion, and an EPS of $0.50. ",
              "type": "Secondary Transactions",
              "url": "https://www.defenseworld.net/2026/03/23/nordea-investment-management-ab-lowers-position-in-tesla-inc-tsla.html",
              "title": "Nordea Investment Management AB Lowers Position in Tesla, Inc. $TSLA",
              "company_name": "Tesla",
              "publisher": "defenseworld",
              "published_date": "2026-03-23 10:52:44",
              "source": "Wokelo",
              "author": "Defense World Staff",
              "countries": ["USA"],
              "sentiment": "Neutral",
              "primary_tag": "Secondary Transactions",
              "original_language": "EN",
              "secondary_tags": ["Earnings Releases", "Revenue & Growth Metrics", "Guidance & Forecast Revisions"],
              "newsworthiness_impact": "Medium"
          }
      ],
      "count": 4,
      "total": 4,
      "limit": 100,
      "offset": 0
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /api/enterprise/company/news/
openapi: 3.0.3
info:
  title: Wokelo API
  description: >
    Wokelo provides four categories of APIs for company and market intelligence:


    1. **Enrichment** – Company and Industry data using Wokelo database and
    alternative data. Supports multi-company requests.

    2. **Discovery** – Workflows for specific use-cases such as market map,
    target screening, and buyer screening.

    3. **Monitoring** – Real-time news monitoring for companies.

    4. **Workflow Automation** – Wokelo and custom research workflows executed
    within notebooks.


    Enrichment and Discovery APIs are managed through async requests; use the
    Supporting APIs to track status and export results in JSON.

    Workflow APIs are executed within notebooks and support export to PDF, PPT,
    DOC, or JSON.


    **Authentication:** All endpoints (except `/auth/token/`) require a Bearer
    JWT token in the `Authorization` header.
  version: 1.0.0
  contact:
    url: https://docs.wokelo.ai/contact
servers:
  - url: https://api.wokelo.ai
    description: Production server
security: []
tags:
  - name: Authentication
    description: Obtain JWT tokens for API access
  - name: Enrichment
    description: Retrieve structured data for companies and industries
  - name: Discovery
    description: Identify companies via market maps, buyer and target screening
  - name: Monitoring
    description: Real-time company news monitoring
  - name: Workflow Automation
    description: Research notebooks for companies, industries, and custom workflows
  - name: Supporting APIs
    description: >-
      Utility endpoints for search, file upload, request management, and report
      retrieval
externalDocs:
  description: Official Wokelo API Documentation
  url: https://docs.wokelo.ai/overview
paths:
  /api/enterprise/company/news/:
    get:
      tags:
        - Monitoring
      summary: Company News Monitoring
      description: >
        Fetches the latest news articles for a given company, enriched with
        AI-generated summaries,

        categories, sentiment, and publisher details. Results are returned
        directly in the HTTP response

        (no async polling needed).
      operationId: companyNewsMonitoring
      parameters:
        - name: company
          in: query
          required: true
          schema:
            type: string
          description: >-
            Company permalink or URL (e.g., `tesla` or
            `https://www.tesla.com/`).
          example: tesla
        - name: category
          in: query
          schema:
            type: string
          description: Comma-separated list of news categories to filter by.
          example: PRODUCT RELATED
        - name: start_date
          in: query
          schema:
            type: string
            format: date
          description: Start date for news fetch (e.g., `2024-01-01`).
        - name: end_date
          in: query
          schema:
            type: string
            format: date
          description: End date for news fetch (e.g., `2024-12-31`).
        - name: publishers
          in: query
          schema:
            type: string
          description: Comma-separated list of publisher domains to include.
        - name: blacklisted
          in: query
          schema:
            type: string
          description: Comma-separated list of publisher domains to exclude.
        - name: limit
          in: query
          schema:
            type: integer
            default: 100
            maximum: 1000
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: News articles returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/NewsArticle'
                  count:
                    type: integer
                  total:
                    type: integer
                  limit:
                    type: integer
                  offset:
                    type: integer
      security:
        - bearerAuth: []
components:
  schemas:
    NewsArticle:
      type: object
      properties:
        ai_summary:
          type: string
        type:
          type: string
        url:
          type: string
          format: uri
        title:
          type: string
        company_name:
          type: string
        publisher:
          type: string
        published_date:
          type: string
          example: '2026-03-23 10:52:44'
        source:
          type: string
        author:
          type: string
        countries:
          type: array
          items:
            type: string
        sentiment:
          type: string
          enum:
            - Positive
            - Negative
            - Neutral
        primary_tag:
          type: string
        original_language:
          type: string
        secondary_tags:
          type: array
          items:
            type: string
        newsworthiness_impact:
          type: string
          enum:
            - Low
            - Medium
            - High
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained from the `/auth/token/` endpoint.

````